Package org.apache.sysds.runtime.controlprogram.parfor

## Class DataPartitionerRemoteSparkReducer

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.DataPartitionerRemoteSparkReducer

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.VoidFunction<scala.Tuple2<Long,​Iterable<org.apache.hadoop.io.Writable>>>`

    public class DataPartitionerRemoteSparkReducer
    extends Object
    implements org.apache.spark.api.java.function.VoidFunction<scala.Tuple2<Long,​Iterable<org.apache.hadoop.io.Writable>>>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DataPartitionerRemoteSparkReducer​(String fnameNew, Types.FileFormat fmt, int replication)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `call​(scala.Tuple2<Long,​Iterable<org.apache.hadoop.io.Writable>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataPartitionerRemoteSparkReducer

    public DataPartitionerRemoteSparkReducer​(String fnameNew,
                                             Types.FileFormat fmt,
                                             int replication)

### Method Detail

#### call

    public void call​(scala.Tuple2<Long,​Iterable<org.apache.hadoop.io.Writable>> arg0)
              throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.VoidFunction<scala.Tuple2<Long,​Iterable<org.apache.hadoop.io.Writable>>>`
Throws:
  `Exception`